#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Disable fixfilepath as it triggers a build failure.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath
export DEB_LDFLAGS_MAINT_PREPEND = -Wl,-z,defs -Wl,--as-needed
export QT_SELECT=qt5
export HOME := $(CURDIR)/debian/HOME

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release

%:
	dh $@ --buildsystem=cmake
